{% extends "base.html.twig" %}
{% block body %}
<style>
    .card-body {
        background-color: darkgrey;
        color: white;
    }
    p{
        overflow: hidden;
        text-overflow: ellipsis;
    }
</style>

<div class="container-fluid">
    <div class="row">
        {% for video in videos %}
        <div class="col-sm-3">
            <div class="card" style="width: 25rem; margin-top:1rem; height:30rem;">
                <iframe height="200" src={{ video.link }} frameborder="0"
                    allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                    allowfullscreen></iframe>
                <div class="card-body">
                    <h5 style="width: 22rem; height: 4rem" class="card-title">{{ video.title[:25] }} ...</h5>
                    <p style="width: 22rem; height: 4rem" class="card-text">{{ video.description[:100] }}...</p>
                    <a href="{{ path('showvideo', {'id': video.id}) }}" class="btn btn-primary">see more ...</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock %}